wan2.7-t2vを使用してください。
モデル仕様
Wan APIリファレンスには、モデル固有のフィールド、メディアの制限、デフォルト値、ポーリングの手順が定義されています。別のバージョンの入力フィールドや出力サイズのフィールドを流用しないでください。
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Wan 2.7 T2Vは、テキストと任意の動作駆動用音声から、音声が同期した動画を生成します。出力の寸法と比率にはresolutionとratioを使用します。
wan2.7-t2vを使用してください。
| プロパティ | 値 |
|---|---|
| モード | テキストから動画を生成 |
| 解像度 | 720P / 1080P |
| 長さ(秒) | 2-15 |
| 出力 | MP4 / 30 fps |
| リクエスト | model + metadata.input + metadata.parameters |
curl --request POST "https://api.mixroute.ai/v1/video/generations" \
--header "Authorization: Bearer $MIXROUTE_API_KEY" \
--header "Content-Type: application/json" \
--data '{
"model": "wan2.7-t2v",
"metadata": {
"input": {
"prompt": "A red ceramic mug slowly rotates on a white tabletop. Static camera, soft studio lighting."
},
"parameters": {
"resolution": "720P",
"ratio": "9:16",
"duration": 2,
"prompt_extend": false,
"watermark": false
}
}
}'
import json
import os
import requests
payload = json.loads(r'''
{
"model": "wan2.7-t2v",
"metadata": {
"input": {
"prompt": "A red ceramic mug slowly rotates on a white tabletop. Static camera, soft studio lighting."
},
"parameters": {
"resolution": "720P",
"ratio": "9:16",
"duration": 2,
"prompt_extend": false,
"watermark": false
}
}
}
''')
response = requests.post(
"https://api.mixroute.ai/v1/video/generations",
headers={"Authorization": "Bearer " + os.environ["MIXROUTE_API_KEY"]},
json=payload,
timeout=120,
)
response.raise_for_status()
result = response.json()
task_id = result.get("task_id") or result.get("id")
if not task_id:
raise RuntimeError(result.get("message") or result)
print(task_id)